Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class SelectionRule

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.SelectionRule

Deprecated See BEA Commerce product offering

    @Deprecated
    public class SelectionRule

extends Object

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering
`static int` | `LONG` Deprecated See BEA Commerce product offering
`static int` | `SHORT` Deprecated See BEA Commerce product offering

Constructor Summary
`SelectionRule(QualificationDiscountId id, DiscountRule ruleXML, RuleType type, List qualifierSpecs, List targetSpecs)` Deprecated See BEA Commerce product offering
`SelectionRule(QualificationDiscountId id, DiscountRule ruleXML, RuleType type, List qualifierSpecs, List targetSpecs, int setLimit)` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `eachQualifier()` Deprecated See BEA Commerce product offering
`QualificationDiscountId` | `getID()` Deprecated See BEA Commerce product offering
`List` | `getQualifierSpecs()` Deprecated See BEA Commerce product offering
`DiscountRule` | `getRule()` Deprecated See BEA Commerce product offering
`String` | `getRuleString()` Deprecated See BEA Commerce product offering
`int` | `getSetLimit()` Deprecated See BEA Commerce product offering
`List` | `getTargetSpecs()` Deprecated See BEA Commerce product offering
`RuleType` | `getType()` Deprecated See BEA Commerce product offering
`boolean` | `isSet()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`String` | `toString(int control)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SHORT

    public static final int SHORT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### LONG

    public static final int LONG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### SelectionRule

    public SelectionRule(QualificationDiscountId id,
                         DiscountRule ruleXML,
                         RuleType type,
                         List qualifierSpecs,
                         List targetSpecs)

  Deprecated See BEA Commerce product offering

  Use this constructor if the qualifier is NOT set based

### SelectionRule

    public SelectionRule(QualificationDiscountId id,
                         DiscountRule ruleXML,
                         RuleType type,
                         List qualifierSpecs,
                         List targetSpecs,
                         int setLimit)

  Deprecated See BEA Commerce product offering

  Use this constructor if the qualifier is set based

Method Detail

### getType

    public RuleType getType()

  Deprecated See BEA Commerce product offering

### eachQualifier

    public boolean eachQualifier()

  Deprecated See BEA Commerce product offering

### getSetLimit

    public int getSetLimit()

  Deprecated See BEA Commerce product offering

  valid for item rules only

### isSet

    public boolean isSet()

  Deprecated See BEA Commerce product offering

  valid for item rules only

### getQualifierSpecs

    public List getQualifierSpecs()

  Deprecated See BEA Commerce product offering

  valid for order rules only

### getTargetSpecs

    public List getTargetSpecs()

  Deprecated See BEA Commerce product offering

### getID

    public QualificationDiscountId getID()

  Deprecated See BEA Commerce product offering

### getRule

    public DiscountRule getRule()

  Deprecated See BEA Commerce product offering

### getRuleString

    public String getRuleString()

  Deprecated See BEA Commerce product offering

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(int control)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved